<template>
  <div class="app-container">
    <div >
      <el-date-picker
        v-model="time"
        size="small"
        type="daterange"
        range-separator="至"
        start-placeholder="开始日期"
        end-placeholder="结束日期">
      </el-date-picker>
      <el-select v-model="queryParams.object"  size="small" style="margin-left: 40px" placeholder="请选择科目">
        <el-option
          v-for="item in objectList"
          :key="item.value"
          :label="item.label"
          :value="item.value">
        </el-option>
      </el-select>
      <el-button
        size="small"
        type="primary"
        style="margin-bottom: 10px;margin-left: 20px"
        @click="handleQuery()"
      >查询</el-button>
      <el-button
        size="small"
        type="primary"
        style="margin-bottom: 10px"
        @click="resetQuery()"
      >重置</el-button>
    </div>
    <el-table v-loading="loading" :data="expertList">
      <el-table-column label="平台" align="center" prop="name" />
      <el-table-column label="机构" align="center" prop="organization" />
      <el-table-column label="培训总人数" align="center" prop="pTotal" />
      <el-table-column label="总时长" align="center" prop="tTotal" />
      <el-table-column label="培训学时达标人数" align="center" prop="timeQualifyNum" />
      <el-table-column label="考试合格人数" align="center" prop="examQualifyNum" />
      <el-table-column label="考试合格率" align="center" prop="passRate" />
    </el-table>
    <pagination
      v-show="total>0"
      :total="total"
      :page.sync="queryParams.pageIndex"
      :limit.sync="queryParams.pageSize"
      @pagination="getList"
    />
  </div>
</template>

<script>
export default {
  name: "count",
  components: {},
  data() {
    return {
      loading: false,
      single: true,
      multiple: true,
      showSearch: true,
      addForm: false,
      total: 0,
      objectList: [
        {
          value: '1',
          label: '测试数据1'
        },
        {
          value: '2',
          label: '测试数据2'
        },
      ],
      expertList: [],
      queryParams: {},
      time: []
    };
  },
  created() {
    this.getList()
  },
  methods: {
    getList(){
      this.loading = true;
      this.expertList = [
        {
          id: 1,
          name: '测试数据1',
          organization: '测试机构1',
          pTotal: 40,
          tTotal: 80,
          timeQualifyNum: 38,
          examQualifyNum: 35,
          passRate: '87.5%'
        },
        {
          id: 2,
          name: '测试数据2',
          organization: '测试机构3',
          pTotal: 30,
          tTotal: 50,
          timeQualifyNum: 30,
          examQualifyNum: 30,
          passRate: '100%'

        }
      ]
      this.total = 2;
      this.loading = false;

    },
    handleChange(){

    },
    handleQuery(){
      this.getList()

    },
    resetQuery(){
      this.queryParams = {
        pageIndex: 1,
        pageSize: 10,
        object: '',
        startTime: '',
        endTime: ''
      }
      this.time = []
      this.getList()
    },
    handleAdd(){

    }
  }
};
</script>

